import { Data } from './ChartJSLine';
import { ChartDataset } from 'chart.js';
import { SxProps } from '@mui/system/styleFunctionSx';

export interface SparkLineProps {
    sx?: SxProps;
    datasets: ChartDataset<'line', Data[]>[];
    yMax?: number;
}
export declare const ChartJSSparkLine: {
    ({ datasets, yMax, sx }: SparkLineProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
