import { default as React } from 'react';
import { StackProps } from '@mui/material';

export interface LayoutProps extends React.PropsWithChildren<any> {
    Header?: React.ComponentType<StackProps>;
    icon?: React.ReactElement | null;
}
export declare const Layout: {
    (props: LayoutProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const TabletOrDesktopLayout: {
    ({ Header, icon, children }: LayoutProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const UnauthenticatedLayout: {
    ({ children }: React.PropsWithChildren<any>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const MobileLayout: {
    ({ Header, children }: LayoutProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
