import { default as React } from 'react';

export interface ShowProps<T> {
    when: T | null | undefined;
    fallback?: React.ReactNode;
    children: React.ReactNode | ((props: T) => React.ReactNode);
}
export declare const Show: {
    <T>(props: ShowProps<T>): React.ReactNode;
    displayName: string;
};
