import { Action, UniqueIdentifier } from './Table';

type Confirmation<T extends UniqueIdentifier> = {
    action?: Action<T>;
    waiting?: boolean;
    ask: (action: Action<T>) => void;
    cancel: () => void;
};
export declare const useConfirm: <T extends UniqueIdentifier>() => Confirmation<T>;
export {};
