import { AvatarProps as MuiAvatarProps } from '@mui/material';

export interface Account {
    username: string;
    email?: string;
}
export interface AvatarProps extends MuiAvatarProps<any> {
    account: Account;
    tooltip?: boolean;
    link?: boolean;
}
export declare const Avatar: {
    ({ account: { email, username }, link, tooltip, children, ...rest }: AvatarProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
