import { Subject } from 'rxjs';
import { ChartDataset } from 'chart.js';
import { SxProps } from '@mui/system/styleFunctionSx';

export interface Data {
    x: Date | undefined;
    y: number;
}
export interface LineProps {
    name?: string;
    from: Date;
    to: Date;
    unit?: (v: number) => string;
    datasets: ChartDataset<'line', Data[]>[];
    disableLegend?: boolean;
    sx?: SxProps;
    yMax?: number;
    resetZoom?: Subject<void>;
}
export declare const ChartJSLine: {
    ({ name, from, to, datasets, unit, disableLegend, yMax, sx, resetZoom }: LineProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
