import { SxProps } from '@mui/system/styleFunctionSx';
import { Theme } from '@mui/material';

export interface Metric {
    points: Point[];
}
export interface Point {
    timestamp?: Date;
    value: number;
}
export interface SparkLineCardProps {
    name: string;
    metric?: Metric;
    text?: string;
    valueSx?: SxProps<Theme>;
    format?: (v: number) => string;
    yMax?: number;
}
export declare const SparkLineCard: {
    ({ name, metric, text, yMax, format, valueSx, }: SparkLineCardProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
