import { default as React } from 'react';

export interface ForProps<T> {
    each: T[] | readonly T[] | undefined;
    fallback?: React.ReactNode;
    children: (item: Exclude<T, undefined>, index: number) => React.ReactNode;
}
export declare const For: {
    <T>(props: ForProps<T>): React.ReactNode;
    displayName: string;
};
