import { default as React } from 'react';

export interface HideOnScrollProps {
    children: React.ReactElement;
    direction?: 'left' | 'right' | 'up' | 'down';
}
export declare const HideOnScroll: {
    ({ direction, children }: HideOnScrollProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const ShowOnBottom: {
    ({ direction, children }: HideOnScrollProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export interface BottomTriggerOptions {
    offset: number;
    target?: Node | Window;
}
export declare const useBottomTrigger: (options?: BottomTriggerOptions) => boolean;
export interface HideOnScrollAndShowOnBottomProps extends HideOnScrollProps {
    offset?: number;
    resetOnLocationChanges?: boolean;
}
export declare const HideOnScrollAndShowAtBottom: {
    ({ direction, children, offset, resetOnLocationChanges, }: HideOnScrollAndShowOnBottomProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
