import { SxProps } from '@mui/system/styleFunctionSx';
import { TypographyProps } from '@mui/material';

export interface LabeledTextProps {
    label: string;
    text: string | number | undefined;
    sx?: SxProps;
    labelProps?: TypographyProps;
    textProps?: TypographyProps;
    loading?: boolean;
}
export declare const LabeledText: {
    ({ label, text, loading, sx, labelProps, textProps }: LabeledTextProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
