import { default as React } from 'react';
import { RouteDefinition } from '../../../router/src/index.ts';
import { ListItemButtonProps as MuiListItemButtonProps } from '@mui/material';

export interface MenuProps {
    open?: boolean;
    routes?: RouteDefinition[];
}
export declare const Menu: {
    ({ open, routes: _routes }: MenuProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const BottomNavigation: {
    (): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
interface ListItemButtonProps extends MuiListItemButtonProps {
    open?: boolean;
}
export declare const ListItemButton: import('@emotion/styled').StyledComponent<Omit<ListItemButtonProps, "ref"> & React.RefAttributes<any> & import('@mui/system').MUIStyledCommonProps<import('@mui/material').Theme>, {}, {}>;
export {};
