import { DraggableRow, TableProps, UniqueIdentifier } from './Table';
import { RowProps } from './Row';

export declare const MobileList: {
    <Data extends UniqueIdentifier & DraggableRow>({ columns, noData, data: sourceData, renderRow, details, onClick, actions, draggable, onDragEnd, }: TableProps<Data>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const MobileRow: {
    <T extends UniqueIdentifier & DraggableRow>({ index, data, columns, open, setOpen, details, onClick, actions, draggable, }: RowProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
